This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 89215 - Fatal: ssh Illegal Instruction
Fatal: ssh Illegal Instruction
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: openssh (Show other bugs)
9
i586 Linux
medium Severity low
: ---
: ---
Assigned To: Tomas Mraz
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-21 06:50 EDT by Matthew Geier
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-07 08:33:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Matthew Geier 2003-04-21 06:50:12 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
ssh aborts with illegal instruction on Pentium MMX based Toshiba Libretto 100CT,
ssh -? works, but any attempt to actually connect to a remote host gives
'Illegal Instruction'.



Version-Release number of selected component (if applicable):
openssh-3.5p1-6

How reproducible:
Always

Steps to Reproduce:
1. Find Pentium MMX based system
2. Install RHL
3. Run ssh
    

Actual Results:  Illegal Instruction

Expected Results:  connection to remote machine

Additional info:

 When the hard disk containing the entire instalation is put in a PIII based
Dell laptop, ssh works fine.

 Assume P6 instructions have been included in the binary, hence ssh working in
the P6 Dell, but not the P5 Libretto.

 Should not the RPM be taged .i686.rpm like the kernel and glibc if this is the
case ?
Comment 1 Darren Tucker 2004-07-01 01:43:10 EDT
Was the system installed on a i686 machine?  What arch is your openssl
package?
Comment 2 Tomas Mraz 2005-02-07 08:33:59 EST
No response on comment #1.

Note You need to log in before you can comment on or make changes to this bug.